function xin=record_loop(filename,fs,nsec)
%
% function to record and play back file, and save as .wav file
%
% INPUTS
%   filename: name of file to store recorded speech
%   fs: sampling rate of recording speech
%   nsec: number of seconds in record interval

% loop on recording until satisfied with quality
        irec=0;
        while (irec == 0)
            
% call recording function
            y=record_speech(fs,nsec);
            
% determine minimum and maximum speech sample values
            ymin=min(y);
            ymax=max(y);
            fprintf('max/min: %6.2f/%6.2f \n',ymax,ymin);
            
% highpass filter speech to eliminate dc and hum
            xin=highpass_filter(y,fs);
            
% play back resulting filtered speech array
            soundsc(xin,fs)
            
% scale speech to range of -32767 - 32767
            ymax=max(max(xin),-min(xin));
            xin=xin*32767/ymax;
            
% save speech file
            yi=int16(xin);
            savewav(yi,filename,fs);
            
% redo recording or accept current recording
% irec=redo recording option (0) or accept current recording (1)
            irec=input('accept recording (1) or re-record (0):');
        end
end